Problems upgrading Libxm2 centos 6.10

General support questions
Post Reply
dodyryda
Posts: 3
Joined: 2019/05/10 11:48:38

Problems upgrading Libxm2 centos 6.10

Post by dodyryda » 2019/05/10 11:51:51

Hi.

I've inherited a server and had some issues upgradeing via Yum. Issue with multilib versions on libmxl2. for some reason previous admin has installed a later version of libxml2 than available from teh repo's.

Can anyone advise a safe way to downgrade to correct centos 6.10 version?

root@webserver www]# cat /etc/redhat-release
CentOS release 6.10 (Final)
[root@webserver www]# rpm -qa>grep libxml2
[root@webserver www]# rpm -qa|grep libxml2
libxml2-2.9.7-3.0.cf.rhel6.x86_64
python2-libxml2-2.9.7-3.0.cf.rhel6.x86_64

dodyryda
Posts: 3
Joined: 2019/05/10 11:48:38

Re: Problems upgrading Libxm2 centos 6.10

Post by dodyryda » 2019/05/10 13:02:23

tried yum distro-sync but this didn;t work. looks as though previous admin was using city-fan repo.. which is not recommended.. It's not listed in repolist
but still this package remains after disto-sync.. any tips?

User avatar
TrevorH
Forum Moderator
Posts: 26934
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problems upgrading Libxm2 centos 6.10

Post by TrevorH » 2019/05/10 14:46:17

The city-fan repo is a disaster of monumental proportions and should be avoided.

You'll need to disable and remove the city-fan repo before you start then try using yum downgrade libxml2 though we do not supply a python*-libxml2 package and you may need to remove that before you try.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

dodyryda
Posts: 3
Joined: 2019/05/10 11:48:38

Re: Problems upgrading Libxm2 centos 6.10

Post by dodyryda » 2019/05/10 15:09:08

HI thanks alot for this.. was on the way there. I removed python2-libxml2 and then had to downgrade libxslt also then the libxml2 downgrade worked.. Hopefully this is all he installed..

User avatar
TrevorH
Forum Moderator
Posts: 26934
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problems upgrading Libxm2 centos 6.10

Post by TrevorH » 2019/05/10 15:17:23

rpm -qa | grep ".cf." might help or install and use the keychecker package from EPEL which summarise installed packages grouped by GPG signing key so that you can see what came from where.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 6 - General Support”